Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
getline_arg Struct Reference

## Data Fields
VALUE | rs
long | limit
unsigned int | chomp: 1
VALUE | io

## Detailed Description

Definition at line 1144 of file stringio.c.

## Field Documentation

## ◆ chomp

unsigned int getline_arg::chomp

Definition at line 1147 of file stringio.c.

## ◆ io

VALUE getline_arg::io

Definition at line 3349 of file io.c.

Referenced by rb_io_getbyte(), rb_io_gets_internal(), rb_io_ungetbyte(), and rb_io_ungetc().

## ◆ limit

long getline_arg::limit

Definition at line 1146 of file stringio.c.

## ◆ rs

VALUE getline_arg::rs

Definition at line 1145 of file stringio.c.

The documentation for this struct was generated from the following files:

- ext/stringio/stringio.c
- io.c